seeds=(0 1 2 3 4)

for seed in ${seeds[@]}; do
    echo "uv run maf_experiments.py --dataset power --normalize_dataset_type 1 --n_samples_dataset 1_844_352 --n_samples_dataset_test 204_928 --keep_datapoints --n_epochs 1500 --base_distribution uniform --batch_size 4_000 --diagonal_sigma --seed ${seed}"
    echo "uv run maf_experiments.py --dataset gas --normalize_dataset_type 1 --n_samples_dataset 946_859 --n_samples_dataset_test 105_206 --keep_datapoints --n_epochs 1500 --base_distribution uniform --batch_size 4_000 --diagonal_sigma  --seed ${seed}"
    echo "uv run maf_experiments.py --dataset hepmass --normalize_dataset_type 1 --n_samples_dataset 350_136 --n_samples_dataset_test 174_987 --keep_datapoints  --n_epochs 1500 --base_distribution uniform --batch_size 4_000 --diagonal_sigma  --seed ${seed}"
done
